#!/bin/sh

# Settings

PKG_NAME=gcc
NCORES=`cat /proc/cpuinfo | grep "core\ id" | wc -l`

# Work out the root directory

pushd ../.. > /dev/null
ROOT_DIR=`pwd`
popd > /dev/null

# Change into build dir

BUILD_DIR=$ROOT_DIR/src/$PKG_NAME

echo "Building in $BUILD_DIR"

cd $BUILD_DIR

# Clean up

make distclean

# Configure

export LD_LIBRARY_PATH=$ROOT_DIR/lib:LD_LIBRARY_PATH

./configure --build=x86_64-pc-linux-gnu \
    --prefix=$ROOT_DIR \
    --with-gmp=$ROOT_DIR --with-mpfr=$ROOT_DIR --with-mpc=$ROOT_DIR \
    --enable-languages=c,c++,fortran

# Build

make -j$NCORES

# Install

make install

# Finish
